<?php
require_once("dbcontroller.php");

// require __DIR__ . '/pusherApi/vendor/autoload.php';
/* 
A domain Class to demonstrate RESTful web services
*/
Class Mobile {
	private $mobiles = array();
	/*
		you should hookup the DAO here
	*/
	public function getAllMobile(){
		$query = "SELECT * FROM Chat1Sender";
		$dbcontroller = new DBController();
		$this->mobiles = $dbcontroller->executeSelectQuery($query);
		
// 		$pusher = new Pusher\Pusher("f9f82ec88c08c3f0246a", "6eac28566d15aebac037", "1041588", array('cluster' => 'ap2'));
//         $pusher->trigger('my-channel', 'my-event', array('message' => 'hello world'));
		
		return $this->mobiles;
	}	
}
?>